(* Tested with iTunes 8.2.1 on Mac OS X 10.5.7 

Test run:

 osascript  getitunesplaylists.scpt 
 
Note: The line endings are not okay when you test in the shell. (return instead of line feeds)

*)
tell application "iTunes"
	
	# get name of current playlist
	
	# get name of every playlist
	
	set playlistNames to name of every playlist
	
	(* since the names might contain "," (which are also the delimiter in the output), we exchange the delimiters of the list and make up a string with newlines. Hopefully noone creates playlists with newlines in their name... *)
	set newPlaylistNames to "" # {}
	repeat with playlistName in playlistNames
		tell me to set newPlaylistName to replaceChars(playlistName, ",", "_")
		#log playlistName & ", " & newPlaylistName
		if (length of newPlaylistNames is 0) then
			set newPlaylistNames to newPlaylistNames & newPlaylistName
		else
			set newPlaylistNames to newPlaylistNames & return & newPlaylistName
		end if
	end repeat
	log newPlaylistNames
	
	return newPlaylistNames
	
end tell


on replaceChars(sourceString, searchString, replacementString)
	set AppleScript's text item delimiters to the searchString
	set the item_list to every text item of sourceString
	set AppleScript's text item delimiters to the replacementString
	set sourceString to the item_list as string
	set AppleScript's text item delimiters to ""
	return sourceString
end replaceChars
