# Test like this:
#
# osascript _saysomething "some message" [voice]
# 
# http://docs.info.apple.com/article.html?path=AppleScript/2.1/en/as304.html
#

on run (argv)
	--set argv to {"Hello", "Victoria"}
	#log argv (* print to event log *)
	get argv (* prints to console *)
	
	tell AppleScript
		
		set something to first item of argv
		try
			set voice to second item of argv
		on error (e)
			log (e)
			set voice to "Fred"
		end try
		
		say something using voice
		
	end tell
	
	#return "You said: " & first item of argv
end run

(*

Voices:

Agnes - female voice
Albert - male voice
Bad News - singing funereal voice
Bahh - an old male voice
Bells - singing, ringing bell effect voice
Boing - a springy effect voice
Bruce - male voice
Bubbles - bubble effect voice
Cellos - singing voice
Deranged - a nervous voice
Fred - male voice
Hysterical - laughing voice
Junior - young boy's voice
Kathy - female voice
Pipe Organ - singing organ effects voice
Princess - young girl's voice
Ralph - deep male voice
Trinoids - alien voice
Victoria - female voice
Whisper - whispering voice
Zarvox - alien voice

*)